magic/image-to-video
Setup your API Key
API Schemas
Create a video generation task and send it to the server
post
Body
modelstring · enumRequiredPossible values:
image_urlstring · uriRequired
An image (supplied via URL or Base64) that will be inserted into the selected video template as the embedded ad content.
templatestring · enumOptionalDefault:
Video design template.
Thailand StreetPossible values: Responses
200Success
application/json
idstringRequiredExample:
The ID of the generated video.
60ac7c34-3224-4b14-8e7d-0aa0db708325statusstring · enumRequiredExample:
The current status of the generation task.
completedPossible values: post
/v2/video/generations200Success
Retrieve the generated video from the server
get
Authorizations
AuthorizationstringRequired
Bearer key
Query parameters
generation_idstringRequiredExample:
<REPLACE_WITH_YOUR_GENERATION_ID>Responses
200Success
application/json
idstringRequiredExample:
The ID of the generated video.
60ac7c34-3224-4b14-8e7d-0aa0db708325statusstring · enumRequiredExample:
The current status of the generation task.
completedPossible values: get
/v2/video/generations200Success
Code Example
Last updated
Was this helpful?


















